Package com.xebialabs.xlrelease.view

# Class ReleaseTriggerOverview

java.lang.Object
com.xebialabs.xlrelease.view.ReleaseTriggerOverview

public class ReleaseTriggerOverview extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseTriggerOverview(String triggerId, String triggerTitle, String description, String triggerType, boolean triggerEnabled, String templateTitle, String templateId, String folderId, String folderTitle, boolean editable, Date lastRunDate, TriggerExecutionStatus lastRunStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getFolderId()`
  `String`
  `getFolderTitle()`
  `Date`
  `getLastRunDate()`
  `TriggerExecutionStatus`
  `getLastRunStatus()`
  `String`
  `getTemplateId()`
  `String`
  `getTemplateTitle()`
  `String`
  `getTriggerId()`
  `String`
  `getTriggerTitle()`
  `String`
  `getTriggerType()`
  `boolean`
  `isEditable()`
  `boolean`
  `isTriggerEnabled()`
  `void`
  `setDescription(String description)`
  `void`
  `setEditable(boolean editable)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setFolderTitle(String folderTitle)`
  `void`
  `setLastRunDate(Date lastRunDate)`
  `void`
  `setLastRunStatus(TriggerExecutionStatus lastRunStatus)`
  `void`
  `setTemplateId(String templateId)`
  `void`
  `setTemplateTitle(String templateTitle)`
  `void`
  `setTriggerEnabled(boolean triggerEnabled)`
  `void`
  `setTriggerId(String triggerId)`
  `void`
  `setTriggerTitle(String triggerTitle)`
  `void`
  `setTriggerType(String triggerType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReleaseTriggerOverview

    public ReleaseTriggerOverview(String triggerId, String triggerTitle, String description, String triggerType, boolean triggerEnabled, String templateTitle, String templateId, String folderId, String folderTitle, boolean editable, Date lastRunDate, TriggerExecutionStatus lastRunStatus)

- ## Method Details

  - ### getTriggerId

    public String getTriggerId()

  - ### setTriggerId

    public void setTriggerId(String triggerId)

  - ### getTriggerTitle

    public String getTriggerTitle()

  - ### setTriggerTitle

    public void setTriggerTitle(String triggerTitle)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getTriggerType

    public String getTriggerType()

  - ### setTriggerType

    public void setTriggerType(String triggerType)

  - ### isTriggerEnabled

    public boolean isTriggerEnabled()

  - ### setTriggerEnabled

    public void setTriggerEnabled(boolean triggerEnabled)

  - ### getTemplateTitle

    public String getTemplateTitle()

  - ### setTemplateTitle

    public void setTemplateTitle(String templateTitle)

  - ### getTemplateId

    public String getTemplateId()

  - ### setTemplateId

    public void setTemplateId(String templateId)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getFolderTitle

    public String getFolderTitle()

  - ### setFolderTitle

    public void setFolderTitle(String folderTitle)

  - ### isEditable

    public boolean isEditable()

  - ### setEditable

    public void setEditable(boolean editable)

  - ### getLastRunDate

    public Date getLastRunDate()

  - ### setLastRunDate

    public void setLastRunDate(Date lastRunDate)

  - ### getLastRunStatus

    public TriggerExecutionStatus getLastRunStatus()

  - ### setLastRunStatus

    public void setLastRunStatus(TriggerExecutionStatus lastRunStatus)